Upgrade from 15.3 to 15.4 breaks ffmpeg - unknown encoder 'libx264'

Here is what I have. It worked perfectly in 15.3

LLR1:~ # zypper se -si | egrep "ffmpeg|codec"
i+ | ffmpeg-4                                   | package | 4.4-150400.1.13                                  | x86_64 | openSUSE-Leap-15.4-Oss
i  | libavcodec57                               | package | 3.4.9-pm154.1.10                                 | x86_64 | Packman 15.4 Repository
i  | libavcodec58_134                           | package | 4.4-150400.1.13                                  | x86_64 | openSUSE-Leap-15.4-Oss
i  | libgstcodecparsers-1_0-0                   | package | 1.20.1-lp154.1.1                                 | x86_64 | openSUSE-Leap-15.4-Oss
i  | libgstcodecs-1_0-0                         | package | 1.20.1-lp154.1.1                                 | x86_64 | openSUSE-Leap-15.4-Oss
i  | vlc-codec-gstreamer                        | package | 3.0.17.3-pm154.2.3                               | x86_64 | Packman 15.4 Repository
i+ | vlc-codecs                                 | package | 3.0.17.3-pm154.2.3                               | x86_64 | Packman 15.4 Repository
LLR1:~ # 

What ffmpeg sees from ffmpeg -codecs (too big just the 264 lines

--disable-encoders --disable-decoders --disable-decoder='mpeg4,h263,h264,hevc,vc1' 
..V.LS h264                 H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10


There is no working one in Packman - too many missing parts when forced to install.

I fixed if by zypper rm ffmpeg-4 and installing ffmpeg-3 from packman repo.

i+ | ffmpeg-4 | package | 4.4-150400.1.13 | x86_64 | openSUSE-Leap-15.4-Oss

openSUSE does not support x264…

Packman does:

zypper se -si | egrep "ffmpeg|codec"
i+ | ffmpeg-4                                   | Paket   | 4.4-pm154.2.5                                  | x86_64 | Packman Repository
i  | ffmpegthumbs                               | Paket   | 21.12.3-bp154.1.35                             | x86_64 | OSS
i+ | gstreamer-plugins-bad-codecs               | Paket   | 1.20.1-pm154.2.1                               | x86_64 | Packman Repository
i+ | gstreamer-plugins-ugly-codecs              | Paket   | 1.20.1-pm154.1.1                               | x86_64 | Packman Repository
i+ | libavcodec57                               | Paket   | 3.4.9-pm154.1.10                               | x86_64 | Packman Repository
i+ | libavcodec58_134                           | Paket   | 4.4-pm154.2.5                                  | x86_64 | Packman Repository
i+ | libgstcodecparsers-1_0-0                   | Paket   | 1.20.1-lp154.1.1                               | x86_64 | OSS
i  | libgstcodecs-1_0-0                         | Paket   | 1.20.1-lp154.1.1                               | x86_64 | OSS
i+ | vlc-codec-gstreamer                        | Paket   | 3.0.17.3-pm154.2.3                             | x86_64 | Packman Repository
i+ | vlc-codecs                                 | Paket   | 3.0.17.3-pm154.2.3                             | x86_64 | Packman Repository